Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7.1: switch back to system libpcre

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 14 Mar 2017 01:34:46 +0200

fixes and cleanups
---
sync with github's php5 and php7 backports.
I think - there is nothing to do ...
---
 testing/php7.1/APKBUILD | 58 ++++++++++++++++++++++++-------------------------
 1 file changed, 28 insertions(+), 30 deletions(-)
diff --git a/testing/php7.1/APKBUILD b/testing/php7.1/APKBUILD
index f17ba1237c..8dcb59d25c 100644
--- a/testing/php7.1/APKBUILD
+++ b/testing/php7.1/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=php7.1
 pkgver=7.1.2
-pkgrel=6
+pkgrel=7
 _apiver=20160303
 _suffix=${pkgname#php}
 _pkgreal=${pkgname%$_suffix}
_at_@ -10,7 +10,7 @@ pkgdesc="The PHP$_suffix language runtime engine"
 url="http://www.php.net/"
 arch="all"
 license="PHP-3"
-options=""
+options="!check"
 depends="$pkgname-config"
 depends_dev="$pkgname"
 replaces="$_pkgreal $_pkgreal-cli"
_at_@ -18,8 +18,8 @@ provides="$replaces $pkgname-cli"
 makedepends="autoconf bison re2c apache2-dev libxml2-dev libxslt-dev libzip-dev bzip2-dev zlib-dev
 	aspell-dev enchant-dev expat-dev pcre-dev curl-dev gmp-dev icu-dev imap-dev gd-dev
 	libical-dev libressl-dev openldap-dev net-snmp-dev db-dev krb5-dev gdbm-dev sqlite-dev
-	freetds-dev postgresql-dev unixodbc-dev freetype-dev tidyhtml-dev libwebp-dev libpng-dev
-	libjpeg-turbo-dev libmcrypt-dev recode-dev libedit-dev gettext-dev
+	freetds-dev postgresql-dev unixodbc-dev freetype-dev tidyhtml-dev libwebp-dev
+	libpng-dev libjpeg-turbo-dev libmcrypt-dev recode-dev libedit-dev gettext-dev
 	"
 source="http://php.net/distributions/$_pkgreal-$pkgver.tar.bz2
 	$pkgname-module.conf
_at_@ -31,6 +31,8 @@ source="http://php.net/distributions/$_pkgreal-$pkgver.tar.bz2
 	getrandom.patch
 	"
 # unimplemented extensions: com_dotnet interbase oci8 pdo_firebird pdo_oci
+_extension_dir=/usr/lib/$pkgname
+_extension_conf=/etc/$pkgname/conf.d
 _extensions="bcmath bz2 calendar ctype curl dba dom enchant exif fileinfo ftp gd gettext gmp iconv imap:1
 	intl json ldap mbstring mcrypt mysqli:1 mysqlnd odbc opcache openssl pcntl pdo pdo_dblib pdo_mysql
 	pdo_odbc pdo_pgsql pdo_sqlite pgsql phar posix pspell recode session shmop snmp soap sockets
_at_@ -75,13 +77,13 @@ prepare() {
 # --with-xmlrpc -- do not swith to system-wide xmlrpc - build errors.
 
 _build() {
-	export EXTENSION_DIR=/usr/lib/$pkgname
 	./configure \
+		EXTENSION_DIR=$_extension_dir \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
 		--program-suffix=$_suffix \
-		--libdir=$EXTENSION_DIR \
+		--libdir=$_extension_dir \
 		--datadir=/usr/share/$pkgname \
 		--sysconfdir=/etc/$pkgname \
 		--localstatedir=/var \
_at_@ -89,7 +91,7 @@ _build() {
 		--with-pic \
 		--with-pear=/usr/share/pear \
 		--with-config-file-path=/etc/$pkgname \
-		--with-config-file-scan-dir=/etc/$pkgname/conf.d \
+		--with-config-file-scan-dir=$_extension_conf \
 		--disable-short-tags \
 		--without-readline \
 		--with-libedit \
_at_@ -139,7 +141,8 @@ _build() {
 			--with-kerberos \
 			--with-system-ciphers \
 		--enable-pcntl=shared \
-		--with-pcre-regex \
+		--with-pcre-regex=/usr \
+			--with-pcre-dir \
 		--enable-pdo=shared \
 		--with-pdo-dblib=shared \
 		--with-pdo-mysql=shared,mysqlnd \
_at_@ -201,16 +204,12 @@ build() {
 		|| return 1
 }
 
-check() {
-	return 0
-}
-
 package() {
 	pkgdesc="$pkgdesc (command line interface)"
 	make -C "$builddir" INSTALL_ROOT="$pkgdir" install || return 1
 
 	ln -sf /usr/bin/php$_suffix "$pkgdir"/usr/bin/php
-	rm -fr "$pkgdir"/.[[:alpha:]]* || return 1
+	rm -fr "$pkgdir"/.[[:alpha:]]*
 }
 
 dev() {
_at_@ -219,7 +218,7 @@ dev() {
 	default_dev || return 1
 
 	mkdir -p "$subpkgdir"/usr/bin \
-		"$subpkgdir"/usr/lib/$pkgname
+		"$subpkgdir"/$_extension_dir || return 1
 
 	local file
 	for file in php-config phpize; do
_at_@ -228,7 +227,7 @@ dev() {
 		ln -sf /usr/bin/$file$_suffix "$subpkgdir"/usr/bin/$file
 	done
 
-	mv "$pkgdir"/usr/lib/$pkgname/build "$subpkgdir"/usr/lib/$pkgname/
+	mv "$pkgdir"/$_extension_dir/build "$subpkgdir"/$_extension_dir
 }
 
 doc() {
_at_@ -250,7 +249,7 @@ apache2() {
 	pkgdesc="$pkgdesc (apache2 module)"
 	depends="$pkgname-config apache2"
 
-	mkdir -p "$subpkgdir"/usr/lib/apache2
+	mkdir -p "$subpkgdir"/usr/lib/apache2 || return 1
 	cp "$builddir"/sapi/apache2handler/lib$_pkgreal*.so \
 		"$subpkgdir"/usr/lib/apache2/mod_$pkgname.so || return 1
 
_at_@ -275,7 +274,7 @@ libs() {
 	pkgdesc="$pkgdesc (embedded library)"
 	depends="$pkgname-config"
 
-	mkdir -p "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/lib || return 1
 	mv "$pkgdir"/usr/lib/lib$_pkgreal*.so \
 		"$subpkgdir"/usr/lib/lib$pkgname.so || return 1
 }
_at_@ -286,7 +285,7 @@ litespeed() {
 	pkgdesc="$pkgdesc (litespeed)"
 	depends="$pkgname-config"
 
-	mkdir -p "$subpkgdir"/usr/bin
+	mkdir -p "$subpkgdir"/usr/bin || return 1
 	mv "$pkgdir"/usr/bin/lsphp \
 		"$subpkgdir"/usr/bin/lsphp$_suffix || return 1
 	ln -sf /usr/bin/lsphp$_suffix "$subpkgdir"/usr/bin/lsphp
_at_@ -298,7 +297,7 @@ cgi() {
 	pkgdesc="$pkgdesc (common gateway interface)"
 	depends="$pkgname-config"
 
-	mkdir -p "$subpkgdir"/usr/bin
+	mkdir -p "$subpkgdir"/usr/bin || return 1
 	mv "$pkgdir"/usr/bin/php-cgi$_suffix \
 		 "$subpkgdir"/usr/bin/ || return 1
 	ln -sf /usr/bin/php-cgi$_suffix "$subpkgdir"/usr/bin/php-cgi
_at_@ -312,7 +311,7 @@ fpm() {
 
 	mkdir -p "$subpkgdir"/usr/share \
 		"$subpkgdir"/etc/$pkgname \
-		"$subpkgdir"/var/log/$pkgname
+		"$subpkgdir"/var/log/$pkgname || return 1
 
 	mv "$pkgdir"/usr/sbin "$subpkgdir"/usr/ || return 1
 	mv "$pkgdir"/usr/share/$pkgname \
_at_@ -339,7 +338,7 @@ pear() {
 	depends="$pkgname $pkgname-xml"
 
 	mkdir -p "$subpkgdir"/usr/bin \
-		"$subpkgdir"/etc/$pkgname
+		"$subpkgdir"/etc/$pkgname || return 1
 
 	mv "$pkgdir"/etc/$pkgname/pear.conf \
 		"$subpkgdir"/etc/$pkgname/ || return 1
_at_@ -375,14 +374,13 @@ config() {
 	depends=
 	pkgdesc="$pkgdesc (common config)"
 
-	mkdir -p "$subpkgdir"/etc/$pkgname/conf.d
+	mkdir -p "$subpkgdir"/$_extension_conf || return 1
 
 	install -Dm644 "$builddir"/php.ini-production \
 		"$subpkgdir"/etc/$pkgname/php.ini || return 1
 
 	# exit with an error if some modules were not in subpackages
-	rmdir "$pkgdir"/$EXTENSION_DIR || return 1
-
+	rmdir "$pkgdir"/$_extension_dir || return 1
 	rm -fr "$pkgdir"/etc "$pkgdir"/var "$pkgdir"/usr/lib
 }
 
_at_@ -392,7 +390,7 @@ _phar() {
 	pkgdesc="$pkgdesc (archive script)"
 	depends="$pkgname $pkgname-phar"
 
-	mkdir -p "$subpkgdir"/usr/bin
+	mkdir -p "$subpkgdir"/usr/bin || return 1
 
 	rm "$pkgdir"/usr/bin/phar || return 1
 	mv "$pkgdir"/usr/bin/phar.phar \
_at_@ -428,14 +426,14 @@ _extension() {
 	index=$(($(echo $depends | wc -w)+$index))
 	depends="$pkgname-config phpapi$_apiver $depends"
 
-	mkdir -p "$subpkgdir"/usr/lib/$pkgname \
-		"$subpkgdir"/etc/$pkgname/conf.d || return 1
+	mkdir -p "$subpkgdir"/$_extension_dir \
+		"$subpkgdir"/$_extension_conf || return 1
 
-	mv "$pkgdir"/$EXTENSION_DIR/$name.so \
-		"$subpkgdir"/$EXTENSION_DIR || return 1
+	mv "$pkgdir"/$_extension_dir/$name.so \
+		"$subpkgdir"/$_extension_dir || return 1
 
 	echo $(eval echo \$_prefix_$name)extension=$name.so > \
-		"$subpkgdir"/etc/$pkgname/conf.d/$(printf %02d $index)_$name.ini
+		"$subpkgdir"/$_extension_conf/$(printf %02d $index)_$name.ini
 }
 
 sha512sums="b4a3492f4af92facd16e7dfb47ec16b43e4c5b25be193ff6e36418173893edb75ca4ca94767b643a6971d60578727fa1f67f20cc84b9a140cb1b9a367ec34a6f  php-7.1.2.tar.bz2
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 14 2017 - 01:34:46 GMT